Summary: A utility for retrieving files using the HTTP or FTP protocols
Name: wget
Version: 1.13.4
Release: 1
License: GPLv3+
Group: Applications/Internet
Url: http://www.gnu.org/software/%{name}/
Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0: %{name}-%{version}-aix.patch
Provides: webclient
Requires: /sbin/install-info, info
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssl-devel >= 0.9.8, gettext, libidn-devel
Requires: openssl >= 0.9.8, gettext, libidn

%description
GNU Wget is a file retrieval utility which can use either the HTTP or
FTP protocols. Wget features include the ability to work in the
background while you are logged out, recursive retrieval of
directories, file name wildcard matching, remote file timestamp
storage and comparison, use of Rest with FTP servers and Range with
HTTP servers to retrieve files over slow or unstable connections,
support for Proxy servers, and configurability.

Install wget if you need to retrieve large numbers of files with HTTP or FTP,
or if you need a utility for mirroring web sites or FTP directories.

Note: This version is compiled with SSL support.


%prep
%setup -q
%patch0


%build
export CC="xlc_r -D_LARGE_FILES"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --with-ssl \
    --enable-largefile \
    --enable-opie \
    --enable-digest \
    --enable-nls \
    --disable-ipv6 \
    --disable-rpath
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS MAILING-LIST NEWS README COPYING doc/sample.wgetrc
%config(noreplace) %{_sysconfdir}/wgetrc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Sun Sep 18 2011 Michael Perzl <michael@perzl.org> - 1.13.4-1
- updated to version 1.13.4

* Mon Sep 12 2011 Michael Perzl <michael@perzl.org> - 1.13.3-1
- updated to version 1.13.3

* Tue Aug 23 2011 Michael Perzl <michael@perzl.org> - 1.13.1-1
- updated to version 1.13.1

* Tue Aug 09 2011 Michael Perzl <michael@perzl.org> - 1.13-1
- updated to version 1.13

* Fri Jul 02 2010 Michael Perzl <michael@perzl.org> - 1.12-2
- removed dependency on gettext >= 0.17

* Wed Sep 23 2009 Michael Perzl <michael@perzl.org> - 1.12-1
- updated to version 1.12

* Mon Jun 30 2008 Michael Perzl <michael@perzl.org> - 1.11.4-1
- updated to version 1.11.4

* Tue Jun 24 2008 Michael Perzl <michael@perzl.org> - 1.11.3-1
- updated to version 1.11.3 and built against new version of gettext

* Tue Mar 25 2008 Michael Perzl <michael@perzl.org> - 1.11.1-1
- updated to version 1.11.1

* Fri Mar 14 2008 Michael Perzl <michael@perzl.org> - 1.11-1
- first version for AIX V5.1 and higher
